低危 Oracle MySQL Server up to 5.6.30/5.7.12 Encryption 拒绝服务漏洞

CVE编号

CVE-2016-2105

利用情况

暂无

补丁情况

官方补丁

披露时间

2016-05-05 14:59:00
漏洞描述
OpenSSL是一个实现安全套接层和安全传输层协议的通用开源加密库,可支持多种加密算法,包括对称密码、哈希算法、安全散列算法等。
OpenSSL EVP_EncodeUpdate()存在溢出漏洞。攻击者利用漏洞可输入大量数据,导致长度检查时发生堆破坏溢出。
解决建议
厂商已发布升级程序修复该漏洞,请及时下载更新:
https://www.openssl.org/news/vulnerabilities.html
参考链接
http://kb.juniper.net/InfoCenter/index?page=content&id=JSA10759
http://lists.apple.com/archives/security-announce/2016/Jul/msg00000.html
http://lists.fedoraproject.org/pipermail/package-announce/2016-May/183457.html
http://lists.fedoraproject.org/pipermail/package-announce/2016-May/183607.html
http://lists.fedoraproject.org/pipermail/package-announce/2016-May/184605.html
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00001.html
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00008.html
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00010.html
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00011.html
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00013.html
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00014.html
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00015.html
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00016.html
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00017.html
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00018.html
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00019.html
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00029.html
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00030.html
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00036.html
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00055.html
http://lists.opensuse.org/opensuse-security-announce/2016-06/msg00019.html
http://packetstormsecurity.com/files/136912/Slackware-Security-Advisory-opens...
http://rhn.redhat.com/errata/RHSA-2016-0722.html
http://rhn.redhat.com/errata/RHSA-2016-0996.html
http://rhn.redhat.com/errata/RHSA-2016-1648.html
http://rhn.redhat.com/errata/RHSA-2016-1649.html
http://rhn.redhat.com/errata/RHSA-2016-1650.html
http://rhn.redhat.com/errata/RHSA-2016-2056.html
http://rhn.redhat.com/errata/RHSA-2016-2073.html
http://rhn.redhat.com/errata/RHSA-2016-2957.html
http://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa...
http://www.debian.org/security/2016/dsa-3566
http://www.oracle.com/technetwork/security-advisory/cpujan2018-3236628.html
http://www.oracle.com/technetwork/security-advisory/cpujul2016-2881720.html
http://www.oracle.com/technetwork/security-advisory/cpujul2017-3236622.html
http://www.oracle.com/technetwork/security-advisory/cpujul2018-4258247.html
http://www.oracle.com/technetwork/security-advisory/cpuoct2016-2881722.html
http://www.oracle.com/technetwork/topics/security/bulletinapr2016-2952098.html
http://www.oracle.com/technetwork/topics/security/linuxbulletinapr2016-2952096.html
http://www.oracle.com/technetwork/topics/security/linuxbulletinjul2016-3090544.html
http://www.oracle.com/technetwork/topics/security/ovmbulletinjul2016-3090546.html
http://www.securityfocus.com/bid/89757
http://www.securityfocus.com/bid/91787
http://www.securitytracker.com/id/1035721
http://www.slackware.com/security/viewer.php?l=slackware-security&y=2016&m=sl...
http://www.ubuntu.com/usn/USN-2959-1
https://bto.bluecoat.com/security-advisory/sa123
https://git.openssl.org/?p=openssl.git;a=commit;h=5b814481f3573fa9677f3a31ee5...
https://h20566.www2.hpe.com/hpsc/doc/public/display?docLocale=en_US&docId=emr...
https://h20566.www2.hpe.com/hpsc/doc/public/display?docLocale=en_US&docId=emr...
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_n...
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_n...
https://kc.mcafee.com/corporate/index?page=content&id=SB10160
https://security.gentoo.org/glsa/201612-16
https://security.netapp.com/advisory/ntap-20160504-0001/
https://source.android.com/security/bulletin/pixel/2017-11-01
https://support.apple.com/HT206903
https://www.freebsd.org/security/advisories/FreeBSD-SA-16:17.openssl.asc
https://www.openssl.org/news/secadv/20160503.txt
https://www.tenable.com/security/tns-2016-18
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 oracle mysql * From
(including)
5.6.0
Up to
(including)
5.6.30
运行在以下环境
应用 oracle mysql * From
(including)
5.7.0
Up to
(including)
5.7.12
2
运行在以下环境
应用 openssl openssl 1.0.1 -
运行在以下环境
应用 openssl openssl 1.0.1 beta1 -
运行在以下环境
应用 openssl openssl 1.0.1 beta2 -
运行在以下环境
应用 openssl openssl 1.0.1 beta3 -
运行在以下环境
应用 openssl openssl 1.0.1a -
运行在以下环境
应用 openssl openssl 1.0.1b -
运行在以下环境
应用 openssl openssl 1.0.1c -
运行在以下环境
应用 openssl openssl 1.0.1d -
运行在以下环境
应用 openssl openssl 1.0.1e -
运行在以下环境
应用 openssl openssl 1.0.1f -
运行在以下环境
应用 openssl openssl 1.0.1g -
运行在以下环境
应用 openssl openssl 1.0.1h -
运行在以下环境
应用 openssl openssl 1.0.1i -
运行在以下环境
应用 openssl openssl 1.0.1j -
运行在以下环境
应用 openssl openssl 1.0.1k -
运行在以下环境
应用 openssl openssl 1.0.1l -
运行在以下环境
应用 openssl openssl 1.0.1m -
运行在以下环境
应用 openssl openssl 1.0.1n -
运行在以下环境
应用 openssl openssl 1.0.1o -
运行在以下环境
应用 openssl openssl 1.0.1p -
运行在以下环境
应用 openssl openssl 1.0.1q -
运行在以下环境
应用 openssl openssl 1.0.1r -
运行在以下环境
应用 openssl openssl 1.0.1s -
运行在以下环境
应用 openssl openssl 1.0.2 -
运行在以下环境
应用 openssl openssl 1.0.2 beta1 -
运行在以下环境
应用 openssl openssl 1.0.2 beta2 -
运行在以下环境
应用 openssl openssl 1.0.2 beta3 -
运行在以下环境
应用 openssl openssl 1.0.2a -
运行在以下环境
应用 openssl openssl 1.0.2b -
运行在以下环境
应用 openssl openssl 1.0.2c -
运行在以下环境
应用 openssl openssl 1.0.2d -
运行在以下环境
应用 openssl openssl 1.0.2e -
运行在以下环境
应用 openssl openssl 1.0.2f -
运行在以下环境
应用 openssl openssl 1.0.2g -
3
运行在以下环境
系统 redhat enterprise_linux_desktop 6.0 -
运行在以下环境
系统 redhat enterprise_linux_hpc_node 6 -
运行在以下环境
系统 redhat enterprise_linux_server 6.0 -
运行在以下环境
系统 redhat enterprise_linux_workstation 6.0 -
4
运行在以下环境
系统 opensuse leap 42.1 -
运行在以下环境
系统 opensuse opensuse 13.2 -
5
运行在以下环境
系统 redhat enterprise_linux_desktop 7.0 -
运行在以下环境
系统 redhat enterprise_linux_hpc_node 7.0 -
运行在以下环境
系统 redhat enterprise_linux_hpc_node_eus 7.2 -
运行在以下环境
系统 redhat enterprise_linux_server 7.0 -
运行在以下环境
系统 redhat enterprise_linux_server_aus 7.2 -
运行在以下环境
系统 redhat enterprise_linux_server_eus 7.2 -
运行在以下环境
系统 redhat enterprise_linux_workstation 7.0 -
6
运行在以下环境
系统 apple mac_os_x 10.11.5 -
7
运行在以下环境
系统 debian debian_linux 8.0 -
8
运行在以下环境
系统 canonical ubuntu_linux 12.04 -
运行在以下环境
系统 canonical ubuntu_linux 14.04 -
运行在以下环境
系统 canonical ubuntu_linux 15.10 -
运行在以下环境
系统 canonical ubuntu_linux 16.04 -
9
运行在以下环境
系统 alpine_3.7 openssl * Up to
(excluding)
1.0.2h-r0
10
运行在以下环境
系统 amazon linux_AMI openssl * Up to
(excluding)
1.0.1k-14.91.amzn1
11
运行在以下环境
系统 alpine_3.4 openssl * Up to
(excluding)
1.0.2h-r0
12
运行在以下环境
系统 alpine_3.5 openssl * Up to
(excluding)
1.0.2h-r0
13
运行在以下环境
系统 alpine_3.6 openssl * Up to
(excluding)
1.0.2h-r0
14
运行在以下环境
系统 alpine_3.3 openssl * Up to
(excluding)
1.0.2h-r0
15
运行在以下环境
系统 debian_7 openssl * Up to
(excluding)
1.0.1e-2+deb7u11
16
运行在以下环境
系统 debian_8 openssl * Up to
(excluding)
1.0.1t-1+deb8u8
17
运行在以下环境
系统 alpine_3.8 openssl * Up to
(excluding)
1.0.2h-r0
18
运行在以下环境
系统 oracle linux_5 openssl * Up to
(excluding)
0.9.8e-40.0.2.el5_11
19
运行在以下环境
系统 opensuse_Leap_42.1 openssl * Up to
(excluding)
4.4.5-27.1
20
运行在以下环境
系统 sles_12 openssl * Up to
(excluding)
1.0.1i-27.16.1
21
运行在以下环境
系统 sles_12_SP1 openssl * Up to
(excluding)
1.0.1i-47.1
22
运行在以下环境
系统 oracle linux_6 openssl * Up to
(excluding)
1.0.1e-48.ksplice1.el6_8.1
23
运行在以下环境
系统 centos_7 openssl * Up to
(excluding)
1.0.1e-51.el7_2.5
24
运行在以下环境
系统 oracle linux_7 openssl * Up to
(excluding)
1.0.2k-16.0.1.ksplice1.el7_6.1
25
运行在以下环境
系统 fedora_EPEL_5 openssl * Up to
(excluding)
1.0.1e-8.el5
26
运行在以下环境
系统 opensuse_13.2 openssl * Up to
(excluding)
4.4.5-18.1
27
运行在以下环境
系统 fedora_23 openssl * Up to
(excluding)
1.0.2h-1.fc23
28
运行在以下环境
系统 fedora_24 openssl * Up to
(excluding)
1.0.2h-1.fc24
29
运行在以下环境
系统 fedora_22 openssl * Up to
(excluding)
1.0.1k-15.fc22
30
运行在以下环境
系统 opensuse_13.1 openssl * Up to
(excluding)
0.9.8zh-5.3.1
31
运行在以下环境
系统 sles_11_SP4 openssl * Up to
(excluding)
0.9.8j-0.97.1
32
运行在以下环境
系统 fedora_EPEL_7 openssl * Up to
(excluding)
1.0.2h-1.el7
33
运行在以下环境
系统 opensuse_Leap_42.2 openssl * Up to
(excluding)
5.6.34-19.2
34
运行在以下环境
系统 redhat_6 openssl * Up to
(excluding)
0:1.0.1e-48.el6_8.1
运行在以下环境
系统 redhat_7 openssl * Up to
(excluding)
1:1.0.1e-51.el7_2.5
运行在以下环境
系统 debian DPKG * Up to
(excluding)
1.0.2h-1
运行在以下环境
系统 ubuntu_16.04_lts openssl * Up to
(excluding)
1.0.2g-1ubuntu4.1
运行在以下环境
系统 ubuntu_14.04_lts openssl * Up to
(excluding)
1.0.1f-1ubuntu2.19
运行在以下环境
系统 ubuntu_12.04_lts openssl * Up to
(excluding)
1.0.1-4ubuntu5.36
运行在以下环境
系统 ubuntu_18.04_lts openssl * Up to
(excluding)
1.0.2g-1ubuntu5
运行在以下环境
系统 ubuntu_18.10 openssl * Up to
(excluding)
1.0.2g-1ubuntu5
运行在以下环境
系统 sles_12 sles12-docker-image * Up to
(excluding)
1.1.4-20171002
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-189 数值错误
阿里云安全产品覆盖情况